Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.xmicrosoft
Class AbstractMediaReceiverRegistrarService

    java.lang.Object
      org.fourthline.cling.support.xmicrosoft.AbstractMediaReceiverRegistrarService

    public abstract class AbstractMediaReceiverRegistrarService

extends Object

Basic implementation of service required by MSFT devices such as XBox 360.

Author:
  Mario Franco

Field Summary
`protected PropertyChangeSupport` | `propertyChangeSupport`

Constructor Summary
`protected` | `AbstractMediaReceiverRegistrarService()`
`protected` | `AbstractMediaReceiverRegistrarService(PropertyChangeSupport propertyChangeSupport)`

Method Summary
`UnsignedIntegerFourBytes` | `getAuthorizationDeniedUpdateID()`
`UnsignedIntegerFourBytes` | `getAuthorizationGrantedUpdateID()`
`PropertyChangeSupport` | `getPropertyChangeSupport()`
`UnsignedIntegerFourBytes` | `getValidationRevokedUpdateID()`
`UnsignedIntegerFourBytes` | `getValidationSucceededUpdateID()`
`int` | `isAuthorized(String deviceID)`
`int` | `isValidated(String deviceID)`
`byte[]` | `registerDevice(byte[] registrationReqMsg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyChangeSupport

    protected final PropertyChangeSupport propertyChangeSupport

Constructor Detail

### AbstractMediaReceiverRegistrarService

    protected AbstractMediaReceiverRegistrarService()

### AbstractMediaReceiverRegistrarService

    protected AbstractMediaReceiverRegistrarService(PropertyChangeSupport propertyChangeSupport)

Method Detail

### getPropertyChangeSupport

    public PropertyChangeSupport getPropertyChangeSupport()

### getAuthorizationGrantedUpdateID

    public UnsignedIntegerFourBytes getAuthorizationGrantedUpdateID()

### getAuthorizationDeniedUpdateID

    public UnsignedIntegerFourBytes getAuthorizationDeniedUpdateID()

### getValidationSucceededUpdateID

    public UnsignedIntegerFourBytes getValidationSucceededUpdateID()

### getValidationRevokedUpdateID

    public UnsignedIntegerFourBytes getValidationRevokedUpdateID()

### isAuthorized

    public int isAuthorized(String deviceID)

### isValidated

    public int isValidated(String deviceID)

### registerDevice

    public byte[] registerDevice(byte[] registrationReqMsg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.